package com.dzeio.openhealth.core

import androidx.lifecycle.ViewModelProvider
import androidx.viewbinding.ViewBinding

abstract class BaseFragment<VM : BaseViewModel, VB : ViewBinding>(
    private val viewModelClass: Class<VM>
) :
    BaseStaticFragment<VB>() {

    val viewModel by lazy {
        ViewModelProvider(this)[viewModelClass]
    }
}
